Index: trunk/test/test.sh
===================================================================
--- trunk/test/test.sh	(revision 122)
+++ trunk/test/test.sh	(revision 128)
@@ -164,5 +164,5 @@
     echo "  (1) testcompile.sh (2) testhash.sh     (3) testrun_1.sh   (4) testrun_1a.sh"
     echo "  (5) testext.sh     (6) testtimesrv.sh  (7) testrun_1b.sh  (8) testrun_1c.sh" 
-    echo "  (9) testrun_1d.sh" 
+    echo "  (9) testrun_1d.sh (10) testrun_1e.sh" 
     echo " (20) testrun_2.sh  (21) testrun_2a.sh  (22) testrun_2b.sh (23) testrun_2c.sh"
     echo " (24) testrun_2d.sh"
@@ -285,8 +285,8 @@
 #
 #
-if test x$UID != x; then
+if test x$UID != x -a x$UID != x0; then
   TRUST="--with-trusted=0,2,$UID"
 else
-  TRUST="--with-trusted=0,2,500"
+  TRUST="--with-trusted=0,2,1000"
 fi
 export TRUST
Index: trunk/test/testrun_1e.sh
===================================================================
--- trunk/test/testrun_1e.sh	(revision 122)
+++ trunk/test/testrun_1e.sh	(revision 128)
@@ -23,5 +23,37 @@
 export BUILDOPTS
 
-MAXTEST=2; export MAXTEST
+MAXTEST=3; export MAXTEST
+
+PORTPOLICY_3="
+[ReadOnly]
+file=${BASE}
+[PortCheck]
+PortCheckActive = yes
+PortCheckUDP = no
+"
+
+chk_portdata_3 () {
+    one_sec_sleep
+
+    egrep 'CRIT.*POLICY \[ServiceNew\]' $LOGFILE >/dev/null 2>&1
+    if [ $? -eq 0 ]; then
+	
+	[ -z "$verbose" ] || log_msg_fail "Open ports";
+	return 1
+    fi
+}
+
+refine_portpolicy_3 ()
+{
+    cat "$LOGFILE" | grep ServiceNew | sed 's/.*port //' | awk '{ print $1 }' | \
+    while read line; do
+	echo "PortCheckIgnore=$line" >>"${RCFILE}"
+    done
+    echo "PortCheckIgnore=2026" >>"${RCFILE}"
+    echo "PortCheckIgnore=2027" >>"${RCFILE}"
+    echo "PortCheckIgnore=2028" >>"${RCFILE}"
+    echo "PortCheckIgnore=2029" >>"${RCFILE}"
+}
+
 
 PORTPOLICY_2="
